//
//  GBIconAndFilenameCell.h
//  GBBasicsKit
//
//  Created by Andreas Schwarz on 10/25/09.
//  Copyright 2009 immaterial. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "GBVerticalCenterTextCell.h"

@class GBFileItem;

@interface GBIconAndFilenameCell : GBVerticalCenterTextCell {
	GBFileItem *representedFileItem;
	NSSize fileIconSize;
	float iconAndNameGap;
	float leftSpacing;
	NSString *textKeyPath;
	NSString *imageKeyPath;
	NSString *fileKeyPath;
	NSImage *icon;
}

@property(retain) GBFileItem *representedFileItem;
@property(retain) NSString *textKeyPath;
@property(retain) NSString *imageKeyPath;
@property(retain) NSString *fileKeyPath;
@property(retain) NSImage *icon;
@property(assign) NSSize fileIconSize;
@property(assign) float iconAndNameGap;
@property(assign) float leftSpacing;


- (NSSize)totalImageArea;


@end
